<?php
/**
*
* @package phpBB3
* @version $Id: constants_smartfeed.php, v 2.2.19 Production 2009/04/23 mark@phpbbservices.com Exp $
* @copyright (c) Mark D. Hamill (mark@phpbbservices.com, http://phpbbservices.com) 
* @license http://opensource.org/licenses/gpl-2.0.php GNU Public License 
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

define('SMARTFEED_NO_LIMIT_VALUE', 'NO_LIMIT');
define('SMARTFEED_LAST_QUARTER_VALUE', '3_MONTH');
define('SMARTFEED_LAST_MONTH_VALUE', '1_MONTH');
define('SMARTFEED_LAST_TWO_WEEKS_VALUE', '14_DAY');
define('SMARTFEED_LAST_WEEK_VALUE', '7_DAY');
define('SMARTFEED_LAST_DAY_VALUE', '1_DAY');
define('SMARTFEED_LAST_12_HOURS_VALUE', '12_HOUR');
define('SMARTFEED_LAST_6_HOURS_VALUE', '6_HOUR');
define('SMARTFEED_LAST_3_HOURS_VALUE', '3_HOUR');
define('SMARTFEED_LAST_1_HOURS_VALUE', '1_HOUR');
define('SMARTFEED_LAST_30_MINUTES_VALUE', '30_MINUTE');
define('SMARTFEED_LAST_15_MINUTES_VALUE', '15_MINUTE');
define('SMARTFEED_SINCE_LAST_VISIT','LF');

define('SMARTFEED_NO_LIMIT', 0);
define('SMARTFEED_3_MONTH', time() - (90 * 24 * 60 * 60));
define('SMARTFEED_1_MONTH', time() - (30 * 24 * 60 * 60));
define('SMARTFEED_14_DAY', time() - (14 * 24 * 60 * 60));
define('SMARTFEED_7_DAY', time() - (7 * 24 * 60 * 60));
define('SMARTFEED_1_DAY', time() - (24 * 60 * 60));
define('SMARTFEED_12_HOUR', time() - (12 * 60 * 60));
define('SMARTFEED_6_HOUR', time() - (6 * 60 * 60));
define('SMARTFEED_3_HOUR', time() - (3 * 60 * 60));
define('SMARTFEED_1_HOUR', time() - (60 * 60));
define('SMARTFEED_30_MINUTE', time() - (30 * 60));
define('SMARTFEED_15_MINUTE', time() - (15 * 60));

define('SMARTFEED_BOARD','user');
define('SMARTFEED_POSTDATE', 'postdate');
define('SMARTFEED_POSTDATE_DESC', 'postdate_desc');
define('SMARTFEED_STANDARD', 'standard');
define('SMARTFEED_STANDARD_DESC', 'standard_desc');

define('SMARTFEED_BASIC', 'BASIC');
define('SMARTFEED_COMPACT', 'COMPACT');
define('SMARTFEED_HTML', 'HTML');
define('SMARTFEED_HTMLSAFE', 'HTMLSAFE');

// It is convenient to have certain like constants in arrays for easy error checking, so we add them here
$smartfeed = array(
	'SMARTFEED_FEED_STYLE_VALUES'			=> array(
		SMARTFEED_COMPACT, 
		SMARTFEED_BASIC, 
		SMARTFEED_HTML, 
		SMARTFEED_HTMLSAFE,
	),
	'SMARTFEED_SORT_BY_VALUES'				=> array(
		SMARTFEED_BOARD, 
		SMARTFEED_POSTDATE_DESC, 
		SMARTFEED_POSTDATE, 
		SMARTFEED_STANDARD_DESC, 
		SMARTFEED_STANDARD,
	),
	'SMARTFEED_TIME_LIMIT_REGISTERED'		=> array(
		SMARTFEED_NO_LIMIT_VALUE,
		SMARTFEED_LAST_QUARTER_VALUE,
		SMARTFEED_LAST_MONTH_VALUE,
		SMARTFEED_LAST_TWO_WEEKS_VALUE,
		SMARTFEED_LAST_WEEK_VALUE,
		SMARTFEED_LAST_DAY_VALUE,
		SMARTFEED_LAST_12_HOURS_VALUE,
		SMARTFEED_LAST_6_HOURS_VALUE,
		SMARTFEED_LAST_3_HOURS_VALUE,
		SMARTFEED_LAST_1_HOURS_VALUE,
		SMARTFEED_LAST_30_MINUTES_VALUE,
		SMARTFEED_LAST_15_MINUTES_VALUE,
		SMARTFEED_SINCE_LAST_VISIT,
	),
	'SMARTFEED_TIME_LIMIT_UNREGISTERED'		=> array(
		SMARTFEED_NO_LIMIT_VALUE,
		SMARTFEED_LAST_QUARTER_VALUE,
		SMARTFEED_LAST_MONTH_VALUE,
		SMARTFEED_LAST_TWO_WEEKS_VALUE,
		SMARTFEED_LAST_WEEK_VALUE,
		SMARTFEED_LAST_DAY_VALUE,
		SMARTFEED_LAST_12_HOURS_VALUE,
		SMARTFEED_LAST_6_HOURS_VALUE,
		SMARTFEED_LAST_3_HOURS_VALUE,
		SMARTFEED_LAST_1_HOURS_VALUE,
		SMARTFEED_LAST_30_MINUTES_VALUE,
		SMARTFEED_LAST_15_MINUTES_VALUE,
	),
	'SMARTFEED_TIME_LIMIT_SECONDS'			=> array(
		SMARTFEED_NO_LIMIT_VALUE 		=> SMARTFEED_NO_LIMIT,
		SMARTFEED_LAST_QUARTER_VALUE 	=> SMARTFEED_3_MONTH,
		SMARTFEED_LAST_MONTH_VALUE 		=> SMARTFEED_1_MONTH,
		SMARTFEED_LAST_TWO_WEEKS_VALUE 	=> SMARTFEED_14_DAY,
		SMARTFEED_LAST_WEEK_VALUE 		=> SMARTFEED_7_DAY,
		SMARTFEED_LAST_DAY_VALUE 		=> SMARTFEED_1_DAY,
		SMARTFEED_LAST_12_HOURS_VALUE 	=> SMARTFEED_12_HOUR,
		SMARTFEED_LAST_6_HOURS_VALUE 	=> SMARTFEED_6_HOUR,
		SMARTFEED_LAST_3_HOURS_VALUE 	=> SMARTFEED_3_HOUR,
		SMARTFEED_LAST_1_HOURS_VALUE 	=> SMARTFEED_1_HOUR,
		SMARTFEED_LAST_30_MINUTES_VALUE => SMARTFEED_30_MINUTE,
		SMARTFEED_LAST_15_MINUTES_VALUE => SMARTFEED_15_MINUTE,
	),
);

?>