<?php
/**
*
* phpBB Smartfeed [English]
*
* @package phpBB3
* @version $Id: smartfeed.php, v 2.2.27 Production 2015/01/04 mark@phpbbservices.com Exp $
* @copyright (c) Mark D. Hamill (mark@phpbbservices.com, http://phpbbservices.com) 
* @license http://opensource.org/licenses/gpl-2.0.php GNU Public License 
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

global $config;
$lang = array_merge($lang, array(
	// smartfeed.php language strings
	'SMARTFEED_COPYRIGHT'					=> '', // Add a copyright statement for your site if it applies.
	'SMARTFEED_DELIMITER'					=> ' :: ', // Used to break up forum names, topic name and post subjects that all appear together in the feed, such as in the item title
	'SMARTFEED_EDITOR'						=> '', // Most likely your site will not have a managing editor. If so enter the text name of managing editor 
	'SMARTFEED_EDITOR_EMAIL'				=> '', // Most likely your site will not have a managing editor. If so enter email address of managing editor
	'SMARTFEED_ERROR'						=> array(
		'SMARTFEED_APACHE_AUTHENTICATION_WARNING_ADMIN'		=> 'phpBB Smartfeed cannot be used with Apache authentication until you tailor your .htaccess file. See Smartfeed settings in the Administration Control Panel for more details.',
		'SMARTFEED_APACHE_AUTHENTICATION_WARNING_REG'		=> 'phpBB Smartfeed не може да бъде използван на този форум. Свържете се с Администратора за повече информация.',
		'SMARTFEED_BAD_BOOKMARKS_VALUE'						=> 'Параметъра за абониране на теми, ако е използван може да приема стойност само 1.',
		'SMARTFEED_BAD_PASSWORD_ERROR'						=> 'Идентификацията е неуспешна. "e" параметърът "%s" е невалиден с "u" параметъра на "%s". Тази грешка може да е получена от промяна на вашата phpBB парола или след ъпгрейд на phpBB Smartfeed. За да разрешите този проблем създайте нов phpBB Smartfeed URL адрес на %s, след това копирайте новосъздадения URL адрес във вашия четец на новини.',
		'SMARTFEED_BAD_PMS_VALUE'							=> 'Ако е използван pms параметърът (за лични съобщенияs) трябва да има стойност 1',
		'SMARTFEED_BOARD_DISABLED'							=> 'Форумът в момента е спрян. Поради тази причина и phpBB Smartfeed не работи. Когато форумът е пуснат отново, ще продължите да получавате нови мнения чрез phpBB Smartfeed.',
		'SMARTFEED_COUNT_LIMIT_ERROR'						=> 'Параметърът count_limit трябва да бъде по голям от 0.',
		'SMARTFEED_COUNT_LIMIT_FORMAT_ERROR'				=> 'The count_limit parameter must be a number',
		'SMARTFEED_COUNT_LIMIT_MAX_ERROR'					=> 'Параметърът count_limit трябва да бъде по-малък или равен на %s.',
		'SMARTFEED_F_READ_ERROR'							=> 'Правата във форумите (f_read) не са зададени в таблицата acl_options. Вероятно таблицата не съществува или е повредена.',
		'SMARTFEED_FEED_TYPE_ERROR'							=> 'phpBB Smartfeed не приема дадената стойност за параметъра feed_type или този параметър липсва.',
		'SMARTFEED_FILTER_FOES_ERROR'						=> 'Параметърът filter_foes е невалиден. Ако съществува, трябва да има стойност само 1.',
		'SMARTFEED_FIRST_POST_ONLY_ERROR'					=> 'Параметърът firstpostonly е невалиден. Ако съществува, трябва да има стойност само 1.',
		'SMARTFEED_IP_AUTH_ERROR'							=> 'Този URL адрес не може да бъде използван за получаване на новите мнения чрез този IP адрес. Стартирайте отново smartfeed_url.$phpEx от този компютър и генерирайте нов URL адрес, за да го направите валиден.', 
		'SMARTFEED_LASTVISIT_ERROR'							=> 'Параметърът lastvisit е невалиден. Ако съществува, трябва да има стойност само 1.',
		'SMARTFEED_LIMIT_FORMAT_ERROR'						=> 'Параметърът limit не съществува или има невалидна стойност.',
		'SMARTFEED_MAX_WORD_SIZE_ERROR'						=> 'Параметърът max_word_size е невалиден. Ако съществува, трябва да има цяла положителна стойност.',
		'SMARTFEED_MIN_WORD_SIZE_ERROR'						=> 'Параметърът min_word_size е невалиден. Трябва да е положително цяло число или трябва да бъде оставено празно поле.',
		'SMARTFEED_NO_ACCESSIBLE_FORUMS'					=> 'Нямате зададени права, за да виждате нито един раздел на този форум. Ако сте регистриран, е необходимо администраторът да настрои вашите права за достъп до форумите.',
		'SMARTFEED_NO_ARGUMENTS'							=> 'Тази програма се нуждае от определени стойности. Или не са използвани никакви стойности или сървърът не е настроен коректно и не допуска използването на стойностите. Стартирайте smartfeed_url.$phpEx , за да генерирате стойности, които да бъдат използвани с тази програма.',
		'SMARTFEED_NO_BOOKMARKS'							=> 'Вие не сте се абонирали да наблюдавате никоя тема във форума, но сте отбелязали настройката за показване само на темите, за които сте абониран. Поради това няма никакви мнения показани от phpBB Smartfeed. Ако използвате настройката за показване на темите, за които сте абониран, трябва да направите такъв абонамент на поне една тема във форума.',
		'SMARTFEED_NO_E_ARGUMENT'							=> 'За идентифициране на потребител, параметърът "e" трябва да бъде използван заедно с "u" параметъра. Параметърът "u" съществува, но параметърът "e" не съществува. Моля рестартирайте smartfeed_url.php , за да генерирате правилен URL адрес.',
		'SMARTFEED_NO_U_ARGUMENT'							=> 'За идентифициране на потребител, параметърът "u" трябва да бъде използван заедно с "e" параметъра. Параметърът "e" съществува, но параметърът "u" не съществува. Моля рестартирайте smartfeed_url.php , за да генерирате правилен URL адрес.',
		'SMARTFEED_REMOVE_MINE_ERROR'						=> 'Параметърът removemine е невалиден. Ако съществува, трябвада има стойност само 1.',
		'SMARTFEED_SORT_BY_ERROR'							=> 'phpBB Smartfeed не приема параметъра sort_by или параметърът sort_by не съществува.',
		'SMARTFEED_STYLE_ERROR'								=> 'Параметърът style не е един от допустимите или този параметър не съществува.',
		'SMARTFEED_USER_ID_DOES_NOT_EXIST'					=> 'Потребителското ID за идентифициране от параметъра "u" не съществува или няма права за достъп до phpBB Smartfeed. Ако искате да използвате phpBB Smartfeed убедете се, че сте излезли от форума и стартирайте smartfeed_url.php още веднъж. (Ще имате възможност да избирате нови мнения само от публичните форуми.'),
	'SMARTFEED_ERROR_INTRODUCTION'			=> 'Възникнала е грешка при стартиране на phpBB Smartfeed. Не може да бъде генериран никакъв резултат. Използвайте информацията от тази грешка, за да коригирате проблема. Отбележете, че трябва да използвате <a href="%s">тази програма</a>, за да генерирате URL адрес, който да бъде използван с phpBB Smartfeed. Грешката е: ',
	'SMARTFEED_ERROR_TITLE'					=> 'Възникнала е грешка при стартиране на phpBB Smartfeed',
	'SMARTFEED_GLOBAL_ANNOUNCEMENT'			=> 'ВАЖНО СЪОБЩЕНИЕ',
	'SMARTFEED_MAX_WORDS_NOTIFIER'			=> ' ...',
	'SMARTFEED_NEW_PMS_NOTIFICATIONS_ONLY'	=> 'You have new private messages on the forum. Please log in to the forum to read them.',
	'SMARTFEED_NEW_PMS_NOTIFICATIONS_SHORT'	=> 'You have new private messages',
	'SMARTFEED_NEW_POST_NOTIFICATIONS_ONLY'	=> 'There are new posts in this topic. Please log in to the forum to read them.',
	'SMARTFEED_POST_SIGNATURE_DELIMITER'	=> '<br />____________________<br />', // Place here whatever code (make sure it is valid XHTML) you want to use to distinguish the end of a post from the beginning of the signature line
	'SMARTFEED_REPLY'						=> 'Отговор',
	'SMARTFEED_REPLY_BY'					=> 'Отговор от',

	// smartfeed_url.php language strings
	'SMARTFEED_ADDITIONAL_CRITERIA'			=> 'Допълнителен критерий',
	'SMARTFEED_AJAX_ERROR'					=> 'Възникнала е грешка при генериране на AJAX запитване',
	'SMARTFEED_ALL_FORUMS'					=> 'Всичко',
	'SMARTFEED_ATOM_10'						=> 'Atom 1.0',
	'SMARTFEED_CHANGE_ENCRYPTION_KEY_CHECK'	=> 'This will immediately invalidate your current Smartfeed encryption key. Continue?',
	'SMARTFEED_CONNECT_SOCKET_ERROR'		=> 'Невъзможно е да се установии връзка със сайта на phpBB Smartfeed site, възникналата грешка е:<br />%s',
	'SMARTFEED_COUNT_LIMIT'					=> 'Максимален брой мнения в блока с новини',
	'SMARTFEED_COUNT_LIMIT_EXPLAIN'			=> 'Максимално разрешеният от администратора брой е %s. Може да изберете всеки номер по-малък или равен на този, но задължително по-голям от нула.',
	'SMARTFEED_COUNT_LIMIT_EXPLAIN_BLANK'	=> 'Ако оставите това празно, всякакъв брой мнения може да се появи в блока с новини.',
	'SMARTFEED_CURRENT_VERSION_INFO'		=> 'Вие използвате <b>%s</b>.',
	'SMARTFEED_EXPLANATION' 				=> 'Много хора са открили удобството от използване на абонамент за автоматично генерирани новини. С помощта на автоматично генерираните новини, не е нужно да посещавате сайта, за да четете новите теми и мнения. Програмата наречена <i>newsreader (четец на новини)</i> прочита и представя на едно място новините от много сайтове, както вестникът прави това.<br /><br />Този сайт има специална възможност <em>phpBB Smartfeed</em>. Вие можете да създадете собствен уникален URL адрес, който да отговаря на вашите интереси. Може да изберете само някои от разделите, които ви интересуват, включително и специалните, за които само вие имате права. Може да изберете типа на четеца на новини и формата на показване. phpBB Smartfeed поддържа RSS и Atom протоколи. Уверете се, че сте избрали правилния формат, от който се нуждаете. След натискане на бутона Генерирай URL , в края на страницата, копирайте и поставете генерирания адрес във вашия четец на новините.<br /><br />Ако не сте запознати с този начин на обмяна на новини ви съветваме да прочетете <a href="http://bg.wikipedia.org/wiki/%D0%9D%D0%BE%D0%B2%D0%B8%D0%BD%D0%B0%D1%80%D1%81%D0%BA%D0%B8_%D0%B0%D0%B3%D1%80%D0%B5%D0%B3%D0%B0%D1%82%D0%BE%D1%80">разясненията в Wikipedia</a>. Там са показани връзки към много четци на новини, които може да свалите и ползвате. Или може да предпочетете достъп до новините през специален уебсайт, като <a href="http://reader.google.com">Google Reader</a> направен за този случай.<br /><br />Дори и да не сте регистрирани на този сайт, също можете да получавате новите теми и мнения. Въпреки това, може да избирате само от публично достъпните раздели.',
	'SMARTFEED_FEED_STYLING'				=> 'Стил на блока с новини',
	'SMARTFEED_FEED_STYLING_EXPLAIN'		=> 'Отбележете, че броя на стиловете на блока с новини, които може реално да ползвате, зависи от възможностите на вашия четец на новини. Повечето четци не поддържат всички HTML стилове. Поставете курсора върху текста на стила, за да научите повече.',
	'SMARTFEED_FEED_TYPE'					=> 'Формат на блока с новини',
	'SMARTFEED_FILTER_CRITERIA'				=> 'Филтър на мнения',
	'SMARTFEED_FILTER_FOES'					=> 'Премахни мненията от игнорираните',
	'SMARTFEED_FIRST_POST_ONLY'				=> 'Вид на мненията в блока с новини',
	'SMARTFEED_FORMAT_AND_ACCESS'			=> 'Форматиране и контрол на достъпа',
	'SMARTFEED_FORUM_SELECTION'				=> 'Избор на форум',
	'SMARTFEED_GENERATE_BUTTON'				=> 'Генерирай URL',
	'SMARTFEED_GENERATE_BUTTON_EXPLAIN'		=> 'За да го копирате, кликнете на URL адреса. Целият текст ще бъде селектиран автоматично. След това го копирайте и поставете във вашия четец на новини.',
	'SMARTFEED_GENERATE_URL_TEXT'			=> 'Генериране',
	'SMARTFEED_INSTALL_MOD_CONFIRM'			=> 'I wish to install phpBB Smartfeed',
	'SMARTFEED_INVALID_SESSION_KEY'			=> "Аргументът sid със стойност %s е невалиден за потребител с ID = %s при извикване на smartfeed_url_new_key.$phpEx. Вероятно сесията е изтекла.",
	'SMARTFEED_IP_AUTH'						=> 'IP идентификация',
	'SMARTFEED_IP_AUTHENTICATION_EXPLAIN'	=> 'Ако вашият IP адрес е например 123.45.67.89, генераторът ще генерира URL адрес, който ще работи само с група IP адреси 123.45.67.*',
	'SMARTFEED_IP_RANGE_SET'				=> 'Set IP authentication for this range',
	'SMARTFEED_LAST_1_HOURS'				=> 'Последният час',
	'SMARTFEED_LAST_12_HOURS'				=> 'Последните 12 часа',
	'SMARTFEED_LAST_15_MINUTES'				=> 'Последните 15 минути',
	'SMARTFEED_LAST_3_HOURS'				=> 'Последните 3 часа',
	'SMARTFEED_LAST_30_MINUTES'				=> 'Последните 30 минути',
	'SMARTFEED_LAST_6_HOURS'				=> 'Последните 6 часа',
	'SMARTFEED_LAST_DAY'					=> 'Последните 24 часа',
	'SMARTFEED_LAST_MONTH'					=> 'Последните 30 дни',
	'SMARTFEED_LAST_QUARTER'				=> 'Последните 90 дни',
	'SMARTFEED_LAST_TWO_WEEKS'				=> 'Последните 14 дни',
	'SMARTFEED_LAST_WEEK'					=> 'Последните 7 дни',
	'SMARTFEED_LASTVISIT_RESET'				=> 'Промени датата на последният ми достъп до блока с новини',
	'SMARTFEED_LATEST_VERSION_INFO'			=> 'Последната налична версия е <b>%s</b>.',
	'SMARTFEED_LDAP_WARNING'				=> '<b>Отбележете: Само публичните форуми ще могат да бъдат селектирани, съгласно системата за права, използвана на форума.</b>',
	'SMARTFEED_LIMIT'						=> 'Лимит време',
	'SMARTFEED_LIMIT_EXPLAIN'				=> 'Включително мненията от избраното време до сега.',
	'SMARTFEED_LIMIT_SET_EXPLAIN'			=> 'Независимо от показаните възможности за избор на период от време, този форум има поставен лимит от %s дни, преди който не могат да се показват мнения. Това е необходимо, за да се избегне забавяне при достъпа до форума.',
	'SMARTFEED_MAX_SIZE'					=> 'Максимален брой думи, които ще се покажат в мненията',
	'SMARTFEED_MAX_SIZE_EXPLAIN'			=> 'If left blank, a post can be of any size in the feed. You may set this value to any number less than or equal to the board limit, but greater than zero. Notice: To ensure consistent rendering, if a post must be truncated, the HTML will be removed from the post. The maximum allowed by the board\'s administrator is %s.',
	'SMARTFEED_MAX_SIZE_EXPLAIN_BLANK'		=> 'Notice: To ensure consistent rendering, if a post must be truncated, the HTML will be removed from the post.',
	'SMARTFEED_MIN_SIZE'					=> 'Минимален брой думи, необходими мнението да се покаже в блока с новини.',
	'SMARTFEED_NEW_KEY'						=> 'Генериране на нов phpBB Smartfeed ключ',
	'SMARTFEED_NEW_KEY_EXPLAIN'				=> 'Ако се съмнявате, че сигурността на вашия RSS е компрометирана, може да генерирате нов phpBB Smartfeed ключ. Ако промените вашия ключ, трябва да препрограмирате и вашия четец на новини, за да ползвате новия URL адрес.',
	'SMARTFEED_NO_AJAX_SUPPORT'				=> 'Не може да бъде генериран нов ключ, защото браузърът ви не поддържа AJAX',
	'SMARTFEED_NO_FORUMS_AVAILABLE' 		=> 'Съжаляваме, поради вашите права във форума, нямате достъп до нито един раздел.',
	'SMARTFEED_NO_FORUMS_SELECTED'			=> 'Не сте избрали нито един форум, затова не е генериран URL адрес. Моля изберете поне един форум.',
	'SMARTFEED_NO_LIMIT'					=> 'Нищо',
	'SMARTFEED_NO_SESSION_KEY'				=> "Проверката за аргумента sid не е премината при изпълнение на smartfeed_url_new_key.$phpEx. Трябва да има параметър sid в URL адреса.",
	'SMARTFEED_NO_U_ARGUMENT'				=> "Проверката за аргумента u не е премината при изпълнение на smartfeed_url_new_key.$phpEx",
	'SMARTFEED_NOT_LOGGED_IN'				=> '<b>Понеже не сте влезли с вашето име и парола, може да се абонирате само за публично достъпните форуми показани по долу. Моля <a href="' . append_sid("ucp.$phpEx?mode=login", true) . '" class="postlink">ВЛЕЗТЕ</a> или се <a href="' . append_sid("ucp.$phpEx?mode=register", true) . '\" class="postlink">РЕГИСТРИРАЙТЕ</a>, ако искате да се абонирате и за форумите със специални права.</b>',
	'SMARTFEED_POSTS_TYPE_ANY'				=> 'Всички мнения',
	'SMARTFEED_POSTS_TYPE_FIRST'			=> 'Само първото мнение от темите',
	'SMARTFEED_PRIVATE_MESSAGES_IN_FEED'	=> 'Добави непрочетените лични съобщения',
	'SMARTFEED_REMOVE_YOURS'				=> 'Премахни моите мнения',
	'SMARTFEED_RSS_10'						=> 'RSS 1.0',
	'SMARTFEED_RSS_20'						=> 'RSS 2.0',
	'SMARTFEED_RUN_IT_NOW'					=> 'Тест',
	'SMARTFEED_SELECT_FORUMS'				=> 'Включи мненията от следните форуми',
	'SMARTFEED_SELECT_FORUMS_EXPLAIN'		=> 'Please note the categories and forums shown are for those you are allowed to read only. Forum selection is disabled when you select bookmarked topics only.<br /><br />Bolded forum names, if any, are forums that the administrator requires to be presented in any newsfeed. You cannot unselect these forums. Forum names that have strikethrough text are disallowed by the administrator for presentation in a newsfeed and are thus unselected.',
	'SMARTFEED_SHORT_EXPLAIN'				=> 'Абонирай се за този форум като блок с новини',
	'SMARTFEED_SINCE_LAST_VISIT_TEXT'		=> 'От моята последна визита',
	'SMARTFEED_SIZE_ERROR'					=> 'Тази настройка е задължителна. Трябва да въведете цяло положително число, по-малко или равно на максимално допустимото, определено от Администратора.',
	'SMARTFEED_SIZE_ERROR_MIN'				=> 'Трябва да въведете полаожително число или да оставите празно поле',
	'SMARTFEED_SOCKET_FUNCTIONS_DISABLED'	=> 'Функцията Socket е изключена.',
	'SMARTFEED_SORT_BY'						=> 'Ред на сортиране на мненията',
	'SMARTFEED_SORT_BY_EXPLAIN'				=> 'Традиционен ред е редът по подразбиране използван от phpBB, който представлява подреждане по категории, форуми, време на последната тема и време на мнението.',
	'SMARTFEED_SORT_FORUM_TOPIC'			=> 'Традиционен ред',
	'SMARTFEED_SORT_FORUM_TOPIC_DESC'		=> 'Традиционен ред, първо последното мнение',
	'SMARTFEED_SORT_POST_DATE'				=> 'От старите към новите',
	'SMARTFEED_SORT_POST_DATE_DESC'			=> 'От новите към старите',
	'SMARTFEED_SORT_USER_ORDER'				=> 'Използвай моите форумни настройки',
	'SMARTFEED_STAR_MESSAGE'				=> ' or *',
	'SMARTFEED_STYLE_BASIC'					=> 'Основен',
	'SMARTFEED_STYLE_BASIC_EXPLAIN'			=> 'Основен формат ще премахне ББ кодовете но ще остави подписите, ако са разрешени.',
	'SMARTFEED_STYLE_COMPACT'				=> 'Компактен',
	'SMARTFEED_STYLE_COMPACT_EXPLAIN'		=> 'Компактен формат ще премахне ББ кодовете, подписите и ще свие параграфите.',
	'SMARTFEED_STYLE_HTML'					=> 'HTML',
	'SMARTFEED_STYLE_HTML_EXPLAIN'			=> 'HTML формат ще добави ББ кодовете и подписите, ако са разрешени. Мненията ще изглеждат подобно на формата, който имат в самия форум.',
	'SMARTFEED_STYLE_HTML_SAFE'				=> '<a href="http://validator.w3.org/feed/docs/warning/SecurityRiskAttr.html" class="postlink" onclick="window.open(this.href);return false;">Сигурен HTML</a>',
	'SMARTFEED_STYLE_HTML_SAFE_EXPLAIN'		=> 'Сигурен HTML формат ще пренебрегне таговете, които прецени за несигурни за блока с новини, съгласно W3C.',
	'SMARTFEED_TEST_BUTTON'					=> 'Тествай блока с новини',
	'SMARTFEED_TEST_BUTTON_EXPLAIN'			=> 'Стартира URL адреса в нов прозорец. Блока с новини може да изглежда много по добре, ако се разглежда със специален четец на новини.',
	'SMARTFEED_URL'							=> 'Герерирай и тествай',
	'SMARTFEED_URL_EXPLAIN'					=> 'След като URL адреса е генериран, въведете го във вашия четец на новини, за да получите достъп до този сайт.',
	'SMARTFEED_USE_BOOKMARKS'				=> 'Само темите, за които съм абониран',
	'SMARTFEED_VERSION_NOT_UP_TO_DATE'		=> 'Тази версия на Smartfeed се нуждае от ъпдейт. Посетете <a href="%s">сайта на Smartfeed</a>.',
	'SMARTFEED_VERSION_UP_TO_DATE'			=> 'Тази версия на Smartfeed е най-новата налична, няма нужда от обновяване.',
));

$smartfeed_sort_by_values = array(
	'BOARD'			=> 'user',
	'POSTDATE_DESC'	=> 'postdate_desc',
	'POSTDATE'		=> 'postdate',
	'STANDARD_DESC'	=> 'standard_desc',
	'STANDARD'		=> 'standard',
);

$smartfeed_feed_style_values = array(
	'COMPACT'	=> 'COMPACT',
	'BASIC'		=> 'BASIC',
	'HTML'		=> 'HTML',
	'HTMLSAFE'	=> 'HTMLSAFE',
);

?>