<?php
/**
*
* phpBB Smartfeed [Deutsch — Du]
*
* @package phpBB3
* @version $Id$
* @copyright (c) Mark D. Hamill (mark@phpbbservices.com, http://phpbbservices.com), Aaron Spettl
* @license http://opensource.org/licenses/gpl-2.0.php GNU Public License 
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

global $config;
$lang = array_merge($lang, array(
	// smartfeed.php language strings
	'SMARTFEED_COPYRIGHT'					=> '', // Add a copyright statement for your site if it applies.
	'SMARTFEED_DELIMITER'					=> ' :: ', // Used to break up forum names, topic name and post subjects that all appear together in the feed, such as in the item title
	'SMARTFEED_EDITOR'						=> '', // Most likely your site will not have a managing editor. If so enter the text name of managing editor 
	'SMARTFEED_EDITOR_EMAIL'				=> '', // Most likely your site will not have a managing editor. If so enter email address of managing editor
	'SMARTFEED_ERROR'						=> array(
		'SMARTFEED_APACHE_AUTHENTICATION_WARNING_ADMIN'		=> 'phpBB Smartfeed kann nur mit der Apache-Authentifizierung verwendet werden wenn die Datei .htaccess angepasst wird, siehe Smartfeed-Einstellungen im Administrationsbereich für mehr Details.',
		'SMARTFEED_APACHE_AUTHENTICATION_WARNING_REG'		=> 'phpBB Smartfeed kann in diesem Board nicht verwendet werden. Kontaktiere den Administrator um mehr Informationen zu erhalten.',
		'SMARTFEED_BAD_BOOKMARKS_VALUE'						=> 'Der Parameter bookmarks darf nur den Wert 1 haben, wenn benutzt.',
		'SMARTFEED_BAD_PASSWORD_ERROR'						=> 'Authentifizierung fehlgeschlagen. Parameter &quot;e&quot; mit Wert &quot;%s&quot; ist ungültig für Parameter &quot;u&quot;=&quot;%s&quot;. Dieser Fehler kann durch Änderung des phpBB-Kennworts oder durch ein Upgrade dieses Boards bzw. von phpBB Smartfeed entstehen. Um dieses Problem zu lösen, muss eine neue Smartfeed-URL unter %s angelegt und im Newsreader eingefügt werden.',
		'SMARTFEED_BAD_PMS_VALUE'							=> 'Wenn vorhanden, muss der Parameter pms (für Privatnachrichten) den Wert 1 haben',
		'SMARTFEED_BOARD_DISABLED'							=> 'Dieses Board ist momentan gesperrt, deshalb wurde die Newsfeed-Funktionalität deaktiviert. Sowie das Board wieder online ist, wird auch der Abruf von Newsfeeds wieder möglich sein.',
		'SMARTFEED_COUNT_LIMIT_ERROR'						=> 'Der Parameter count_limit muss größer als Null sein.',
		'SMARTFEED_COUNT_LIMIT_FORMAT_ERROR'				=> 'Der Parameter count_limit muss eine Zahl sein',
		'SMARTFEED_COUNT_LIMIT_MAX_ERROR'					=> 'Der Parameter count_limit muss kleiner oder gleich %s sein.',
		'SMARTFEED_F_READ_ERROR'							=> 'Das Leserecht (f_read) ist in der Tabelle acl_options nicht vorhanden. Die Tabelle ist sehr wahrscheinlich inkonsistent oder defekt.',
		'SMARTFEED_FEED_TYPE_ERROR'							=> 'Der Parameter feed_type fehlt oder ist ungültig.',
		'SMARTFEED_FILTER_FOES_ERROR'						=> 'Der Parameter filter_foes ist ungültig. Wenn vorhanden, muss er den Wert 1 haben.',
		'SMARTFEED_FIRST_POST_ONLY_ERROR'					=> 'Der Parameter firstpostonly ist ungültig. Wenn vorhanden, muss er den Wert 1 haben.',
		'SMARTFEED_IP_AUTH_ERROR'							=> "Diese URL kann nicht von dieser IP-Adresse benutzt werden. Rufe smartfeed_url.%s auf und erstelle die URL für diesen Computer neu.", 
		'SMARTFEED_LASTVISIT_ERROR'							=> 'Der Parameter lastvisit ist ungültig. Wenn vorhanden, muss er den Wert 1 haben.',
		'SMARTFEED_LIMIT_FORMAT_ERROR'						=> 'Der Parameter limit fehlt oder ist ungültig.',
		'SMARTFEED_MAX_WORD_SIZE_ERROR'						=> 'Der Parameter max_word_size ist ungültig. Wenn benutzt, sollte der Wert eine positive ganze Zahl sein.',
		'SMARTFEED_MIN_WORD_SIZE_ERROR'						=> 'Der Parameter min_word_size parameter ist ungültig. Er sollte eine positive ganze Zahl sein oder leer bleiben.',
		'SMARTFEED_NO_ACCESSIBLE_FORUMS'					=> 'Du hast nicht die benötigten Rechte um auf Foren dieses Boards zuzugreifen. Wenn du dich registriert hast, musst du möglicherweise den Administrator kontaktieren, damit er dir die Leserechte gibt.',
		'SMARTFEED_NO_ARGUMENTS'							=> "Es werden Parameter benötigt. Benutze smartfeed_url.%s um eine gültige URL zu erstellen.",
		'SMARTFEED_NO_BOOKMARKS'							=> 'Du hast keine Lesezeichen, deshalb sind in diesem Feed keine Beiträge. Bitte besuche das Forum und füge Themen zu den Lesezeichen hinzu, wenn du Beiträge über phpBB Smartfeed benutzen willst.',
		'SMARTFEED_NO_E_ARGUMENT'							=> "Um einen Benutzer zu authentifizieren, wird der Parameter &quot;e&quot; in Verbindung mit &quot;u&quot; benötigt. Der Parameter &quot;u&quot; ist vorhanden, aber &quot;e&quot; fehlt. Bitte rufe smartfeed_url.%s auf um eine gültige URL zu erstellen.",
		'SMARTFEED_NO_U_ARGUMENT'							=> "Um einen Benutzer zu authentifizieren, wird der Parameter &quot;e&quot; in Verbindung mit &quot;u&quot; benötigt. Der Parameter &quot;e&quot; ist vorhanden, aber &quot;u&quot; fehlt. Bitte rufe smartfeed_url.%s auf um eine gültige URL zu erstellen.",
		'SMARTFEED_REMOVE_MINE_ERROR'						=> 'Der Parameter removemine ist ungültig. Wenn vorhanden, muss er den Wert 1 haben.',
		'SMARTFEED_SORT_BY_ERROR'							=> 'Der Parameter sort_by fehlt oder ist ungültig.',
		'SMARTFEED_STYLE_ERROR'								=> 'Der Parameter style fehlt oder ist ungültig.',
		'SMARTFEED_USER_ID_DOES_NOT_EXIST'					=> "Die durch &quot;u&quot; definierte Benutzer-ID existiert nicht. Wenn du einen Feed möchtest, dann stelle sicher, dass du abgemeldet bist und rufe smartfeed_url.%s auf. Es stehen dann nur öffentliche Foren zur Verfügung."),
	'SMARTFEED_ERROR_INTRODUCTION'			=> 'Es trat ein Fehler bei der Ausführung von phpBB Smartfeed auf, weshalb kein Ergebnis angezeigt werden kann. Bitte benutze die nachfolgende Fehlerbeschreibung um das Problem zu beheben. Beachte auch, dass der <a href="%s">URL-Generator</a> benutzt werden muss, um einen funktionsfähigen Feed zu erstellen. Der Fehler lautet: ',
	'SMARTFEED_ERROR_TITLE'					=> 'Es trat ein Fehler bei der Ausführung von phpBB Smartfeed auf',
	'SMARTFEED_GLOBAL_ANNOUNCEMENT'			=> 'Globale Ankündigung',
	'SMARTFEED_MAX_WORDS_NOTIFIER'			=> ' ...',
	'SMARTFEED_NEW_PMS_NOTIFICATIONS_ONLY'	=> 'Du hast neue private Nachrichten, bitte melde dich an um sie zu lesen.',
	'SMARTFEED_NEW_PMS_NOTIFICATIONS_SHORT'	=> 'Du hast neue private Nachrichten',
	'SMARTFEED_NEW_POST_NOTIFICATIONS_ONLY'	=> 'Es gibt neue Beiträge in diesem Thema, bitte melde dich an um sie zu lesen.',
	'SMARTFEED_POST_SIGNATURE_DELIMITER'	=> '<br />____________________<br />', // Place here whatever code (make sure it is valid XHTML) you want to use to distinguish the end of a post from the beginning of the signature line
	'SMARTFEED_REPLY'						=> 'Antwort',
	'SMARTFEED_REPLY_BY'					=> 'Antwort von',

	// smartfeed_url.php language strings
	'SMARTFEED_ADDITIONAL_CRITERIA'			=> 'Zusätzliche Kriterien',
	'SMARTFEED_AJAX_ERROR'					=> 'Beim Erzeugen einer AJAX-Anfrage ist ein Fehler aufgetreten.',
	'SMARTFEED_ALL_FORUMS'					=> 'Alle Foren',
	'SMARTFEED_ATOM_10'						=> 'Atom 1.0',
	'SMARTFEED_CHANGE_ENCRYPTION_KEY_CHECK'	=> 'Dies wird deinen bisherigen Smartfeed-Authentifizierungsschlüssel sofort ungültig machen. Fortfahren?',
	'SMARTFEED_COUNT_LIMIT'					=> 'Maximalanzahl von Beiträgen im Feed',
	'SMARTFEED_COUNT_LIMIT_EXPLAIN'			=> 'Maximal sind durch den Administrator %s Beiträge im Feed erlaubt. Du kannst diesen Wert also auf jede Zahl kleiner oder gleich zu diesem Limit setzen, sofern sie größer als Null ist.',
	'SMARTFEED_COUNT_LIMIT_EXPLAIN_BLANK'	=> 'Wenn du dieses Feld leer lässt, wird die Anzahl nicht eingeschränkt.',
	'SMARTFEED_EXPLANATION'					=> 'Mit Newsfeeds kann man bequem neue Inhalte einer Website verfolgen ohne sie besuchen zu müssen. Mit dieser Seite kannst du einen solchen Newsfeed generieren und damit die gewünschten Beiträge in deinem Feedreader lesen. Eine Authentifizierung für registrierte Benutzer wird unterstützt, sodass auch private Foren und Privatnachrichten gelesen werden können.',
	'SMARTFEED_FEED_STYLING'				=> 'Formatierung der Inhalte',
	'SMARTFEED_FEED_STYLING_EXPLAIN'		=> 'Bitte beachte, dass die tatsächlich angezeigten Formatierungen von den Fähigkeiten des benutzten Feedreaders abhängen. Die meisten ermöglichen nicht alle HTML-Formatierungsmöglichkeiten. Bewege den Mauscursor über einen Formatierungstyp um mehr darüber zu erfahren.',
	'SMARTFEED_FEED_TYPE'					=> 'Newsfeed-Format',
	'SMARTFEED_FILTER_CRITERIA'				=> 'Beitragsfilter',
	'SMARTFEED_FILTER_FOES'					=> 'Entferne Beiträge von ignorierten Benutzern',
	'SMARTFEED_FIRST_POST_ONLY'				=> 'Gewünschte Beiträge im Feed',
	'SMARTFEED_FORMAT_AND_ACCESS'			=> 'Format &amp; Zugriffskontrolle',
	'SMARTFEED_FORUM_SELECTION'				=> 'Auswahl der Foren',
	'SMARTFEED_GENERATE_BUTTON'				=> 'URL generieren',
	'SMARTFEED_GENERATE_BUTTON_EXPLAIN'		=> 'Klicke die URL an, um sie zu kopieren: Der Text wird automatisch selektiert. Dann kopiere ihn in die Zwischenablage und füge die URL in deinem Feedreader ein.',
	'SMARTFEED_GENERATE_URL_TEXT'			=> 'Generieren',
	'SMARTFEED_INSTALL_MOD_CONFIRM'			=> 'Ich möchte phpBB Smartfeed installieren',
	'SMARTFEED_INVALID_SESSION_KEY'			=> "Der sid-Parameter mit dem Wert %s ist für den Benutzer mit der ID %s nicht gültig. Möglicherweise ist die Session abgelaufen.",
	'SMARTFEED_IP_AUTH'						=> 'IP-Einschränkung',
	'SMARTFEED_IP_AUTHENTICATION_EXPLAIN'	=> 'Deine aktuelle IP ist %s. Wenn die IP-Einschränkung aktiviert ist, dann wird die generierte URL nur im Adressbereich %s funktionieren. Wenn ein Proxy-Server für den Internetzugriff verwendet wird, kann dessen IP-Adresse hier angegeben werden, um den Zugriff zu erlauben. Es ist möglich einen größeren Adressbereich wie zum Beispiel %s anzugeben.',
	'SMARTFEED_IP_RANGE_SET'				=> 'Setze IP-Einschränkung für diesen Adressbereich',
	'SMARTFEED_LAST_1_HOURS'				=> 'In den letzten 60 Minuten',
	'SMARTFEED_LAST_12_HOURS'				=> 'In den letzten 12 Stunden',
	'SMARTFEED_LAST_15_MINUTES'				=> 'In den letzten 15 Minuten',
	'SMARTFEED_LAST_3_HOURS'				=> 'In den letzten 3 Stunden',
	'SMARTFEED_LAST_30_MINUTES'				=> 'In den letzten 30 Minuten',
	'SMARTFEED_LAST_6_HOURS'				=> 'In den letzten 6 Stunden',
	'SMARTFEED_LAST_DAY'					=> 'In den letzten 24 Stunden',
	'SMARTFEED_LAST_MONTH'					=> 'In den letzten 30 Tagen',
	'SMARTFEED_LAST_QUARTER'				=> 'In den letzten 90 Tagen',
	'SMARTFEED_LAST_TWO_WEEKS'				=> 'In den letzten 14 Tagen',
	'SMARTFEED_LAST_WEEK'					=> 'In den letzten 7 Tagen',
	'SMARTFEED_LASTVISIT_RESET'				=> 'Setze mein &quot;Zuletzt besucht&quot;-Datum bei jedem Feedzugriff',
	'SMARTFEED_LDAP_WARNING'				=> '<b>Bitte beachte: Wegen der in diesem Board benutzten Authentifizierungsart können nur öffentliche Foren ausgewählt werden.</b>',
	'SMARTFEED_LIMIT'						=> 'Zeitlimit',
	'SMARTFEED_LIMIT_EXPLAIN'				=> 'Binde Beiträge in dem gewählten Zeitraum bis jetzt ein.',
	'SMARTFEED_LIMIT_SET_EXPLAIN'			=> 'Unabhängig von den angzeigten Zeiträumen besteht ein Limit von maximal %s Tagen. Hierdurch wird sichergestellt, dass das Abrufen von Feeds das Forum für die anderen Benutzer nicht ausbremst.',
	'SMARTFEED_MARK_READ'					=> 'Als gelesen markieren bei Abruf über den Feed',
	'SMARTFEED_MAX_SIZE'					=> 'Maximal anzuzeigende Worte pro Beitrag',
	'SMARTFEED_MAX_SIZE_EXPLAIN'			=> 'Wenn das Feld leer ist, dann wird die Beitragslänge im Feed nicht beschränkt. Du kannst den Wert auf jede Zahl setzen, die kleiner oder gleich dem Board-Limit und größer als Null ist. Bitte beachte: Wenn ein Beitrag gekürzt werden muss, wird HTML aus dem Beitrag entfernt. Das vom Administrator gesetzte Board-Limit ist %s.',
	'SMARTFEED_MAX_SIZE_EXPLAIN_BLANK'		=> 'Bitte beachte: Wenn ein Beitrag gekürzt werden muss, wird HTML aus dem Beitrag entfernt.',
	'SMARTFEED_MIN_SIZE'					=> 'Notwendige Anzahl von Wörtern in einem Beitrag, damit dieser angezeigt wird',
	'SMARTFEED_NEW_KEY'						=> 'Erzeuge einen neuen phpBB Smartfeed Schlüssel',
	'SMARTFEED_NEW_KEY_EXPLAIN'				=> 'Wenn du Bedenken hast, dass die Sicherheit deines Feeds nicht mehr gewährleistet ist, kannst du einen neuen Schlüssel für die phpBB Smartfeed Verschlüsselung erzeugen. Wenn du deinen Schlüssel änderst, musst du deinem Newsreader die neu generierte URL bekannt geben.',
	'SMARTFEED_NO_AJAX_SUPPORT'				=> 'Ein neuer Schlüssel kann nicht erzeugt werden, weil der Browser AJAX nicht unterstützt.',
	'SMARTFEED_NO_FORUMS_AVAILABLE' 		=> 'Entschuldigung, du hast für kein Forum genügend Rechte',
	'SMARTFEED_NO_FORUMS_SELECTED'			=> 'Du hast keine Foren ausgewählt, deshalb kann keine URL erstellt werden. Bitte wähle mindestens ein Forum aus.',
	'SMARTFEED_NO_LIMIT'					=> 'Kein Limit',
	'SMARTFEED_NO_SESSION_KEY'				=> "Beim Aufruf von smartfeed_url_new_key.%s wurde kein sid-Parameter übergeben. Normalerweise sollte der sid-Parameter ein Bestandteil der URL sein.",
	'SMARTFEED_NO_U_ARGUMENT'				=> "Beim Aufruf von smartfeed_url_new_key.%s wurde kein u-Parameter übergeben.",
	'SMARTFEED_NOT_LOGGED_IN'				=> '<b>Da du nicht angemeldet bist kannst du nur die öffentlichen Foren abonnieren. Bitte <a href="ucp.%s?mode=login" class="postlink">melde dich an</a> oder <a href="ucp.%s?mode=register" class="postlink">registriere dich</a>, wenn du private Foren abonnieren willst.</b>',
	'SMARTFEED_PHPBB_SMARTFEED'				=> 'phpBB Smartfeed',	// Do not change, this is the marketed title of the mod and is language independent
	'SMARTFEED_POST_IMAGE_TEXT'				=> '<br />(Klicke auf das Bild um es in der vollen Größe zu sehen.)',
	'SMARTFEED_POSTS_TYPE_ANY'				=> 'Alle Beiträge',
	'SMARTFEED_POSTS_TYPE_FIRST'			=> 'Nur der erste Beitrag eines Themas',
	'SMARTFEED_PRIVATE_MESSAGES_IN_FEED'	=> 'Zeige meine ungelesenen privaten Nachrichten',
	'SMARTFEED_REMOVE_YOURS'				=> 'Entferne meine eigenen Beiträge',
	'SMARTFEED_RSS_10'						=> 'RSS 1.0',
	'SMARTFEED_RSS_20'						=> 'RSS 2.0',
	'SMARTFEED_RUN_IT_NOW'					=> 'Test',
	'SMARTFEED_SELECT_FORUMS'				=> 'Folgende Foren in den Feed einbinden',
	'SMARTFEED_SELECT_FORUMS_EXPLAIN'		=> 'Es werden alle Foren mit Leserechten angezeigt. Die Forenauswahl wird deaktiviert, wenn man nur die Lesezeichen für den Feed auswählt.<br /><br />Fett dargestellte Foren müssen im Feed immer enthalten sein, sie können nicht deaktiviert werden. Durchgestrichene Forennamen dagegegen bedeuten, dass das jeweilige Forum nicht in einem Feed dargestellt werden darf - diese können deshalb nicht ausgewählt werden.',
	'SMARTFEED_SHORT_EXPLAIN'				=> 'Verfolge dieses Forum mit Hilfe eines Newsfeeds',
	'SMARTFEED_SINCE_LAST_VISIT_TEXT'		=> 'Seit meinem letzten Besuch',
	'SMARTFEED_SIZE_ERROR'					=> 'Dies ist eine erforderliche Angabe. Du musst eine ganze Zahl eingeben, die kleiner oder gleich dem erlaubten Maximum ist.',
	'SMARTFEED_SIZE_ERROR_MIN'				=> 'Du musst eine positive Zahl eingeben oder das Feld leer lassen',
	'SMARTFEED_SORT_BY'						=> 'Beitragssortierung',
	'SMARTFEED_SORT_BY_EXPLAIN'				=> 'Die traditionelle Sortierung ist der Standard aus phpBB 2, d. h. Kategorien, Foren, Datum/Zeit des letzten Beitrags (absteigend).',
	'SMARTFEED_SORT_FORUM_TOPIC'			=> 'Traditionelle Sortierung',
	'SMARTFEED_SORT_FORUM_TOPIC_DESC'		=> 'Traditionelle Sortierung, neueste Beiträge zuerst',
	'SMARTFEED_SORT_POST_DATE'				=> 'Von den ältesten zu den neuesten',
	'SMARTFEED_SORT_POST_DATE_DESC'			=> 'Von den neuesten zu den ältesten',
	'SMARTFEED_SORT_USER_ORDER'				=> 'Benutze meine Standard-Anzeigeeinstellungen',
	'SMARTFEED_STAR_MESSAGE'				=> ' oder *',
	'SMARTFEED_STYLE_BASIC'					=> 'Nur Text',
	'SMARTFEED_STYLE_BASIC_EXPLAIN'			=> 'Nur Text entfernt alle Formatierungen, Signaturen werden angezeigt.',
	'SMARTFEED_STYLE_COMPACT'				=> 'Kompakt',
	'SMARTFEED_STYLE_COMPACT_EXPLAIN'		=> 'Kompakt entfernt Formatierungen, BB-Code, Signaturen und Absätze.',
	'SMARTFEED_STYLE_HTML'					=> 'HTML',
	'SMARTFEED_STYLE_HTML_EXPLAIN'			=> 'HTML stellt Formatierungen, BB-Code und ggf. Signaturen zur Verfügungng. Beiträge werden ähnlich wie im Forum aussehen. Die Validierung des Feeds könnte aber fehlschlagen.',
	'SMARTFEED_STYLE_HTML_SAFE'				=> '<a href="http://validator.w3.org/feed/docs/warning/SecurityRiskAttr.html" class="postlink" onclick="window.open(this.href);return false;">Sicheres HTML</a>',
	'SMARTFEED_STYLE_HTML_SAFE_EXPLAIN'		=> 'Sicheres HTML entfernt vom W3C als unsicher betrachtete Elemente.',
	'SMARTFEED_TEST_BUTTON'					=> 'Den Feed testen',
	'SMARTFEED_TEST_BUTTON_EXPLAIN'			=> 'Ruft die URL in einer neuen Seite im Browser auf. In einem Feedreader wird der Feed vermutlich besser aussehen.',
	'SMARTFEED_TITLE' 						=> 'phpBB Smartfeed', 
	'SMARTFEED_TITLE_SHORT' 				=> 'Smartfeed', 
	'SMARTFEED_URL'							=> 'Generieren &amp; testen',
	'SMARTFEED_URL_EXPLAIN'					=> 'Nachdem eine URL generiert wurde, füge sie in deinen Feedreader ein um auf dieses Board zuzugreifen.',
	'SMARTFEED_USE_BOOKMARKS'				=> 'Nur Lesezeichen',
));

$smartfeed_sort_by_values = array(
	'BOARD'			=> 'user',
	'POSTDATE_DESC'	=> 'postdate_desc',
	'POSTDATE'		=> 'postdate',
	'STANDARD_DESC'	=> 'standard_desc',
	'STANDARD'		=> 'standard',
);

$smartfeed_feed_style_values = array(
	'COMPACT'	=> 'COMPACT',
	'BASIC'		=> 'BASIC',
	'HTML'		=> 'HTML',
	'HTMLSAFE'	=> 'HTMLSAFE',
);

?>
