<?php
/**
*
* phpBB Smartfeed [English]
*
* @package phpBB3
* @version $Id: smartfeed.php, v 2.2.19 Production 2009/06/10 mark@phpbbservices.com Exp $
* @copyright (c) Mark D. Hamill (mhamill@computer.org, http://phpbbservices.com) 
* @license http://opensource.org/licenses/gpl-2.0.php GNU Public License 
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

global $config;
$lang = array_merge($lang, array(
	// smartfeed.php language strings
	'SMARTFEED_COPYRIGHT'					=> '', // Add a copyright statement for your site if it applies.
	'SMARTFEED_DELIMITER'					=> ' :: ', // Used to break up forum names, topic name and post subjects that all appear together in the feed, such as in the item title
	'SMARTFEED_EDITOR'						=> '', // Most likely your site will not have a managing editor. If so enter the text name of managing editor 
	'SMARTFEED_EDITOR_EMAIL'				=> '', // Most likely your site will not have a managing editor. If so enter email address of managing editor
	'SMARTFEED_ERROR'						=> array(
		'SMARTFEED_APACHE_AUTHENTICATION_WARNING_ADMIN'		=> 'phpBB Smartfeed cannot be used with Apache authentication until you tailor your .htaccess file. See Smartfeed settings in the Administration Control Panel for more details.',
		'SMARTFEED_APACHE_AUTHENTICATION_WARNING_REG'		=> 'phpBB Smartfeed cannot be used on this board. Contact the Forum Administrator for more information.',
		'SMARTFEED_BAD_BOOKMARKS_VALUE'						=> 'The bookmarks parameter, if used, may only have a value of 1.',
		'SMARTFEED_BAD_PASSWORD_ERROR'						=> 'Authentication failure. &quot;e&quot; parameter &quot;%s&quot; is invalid with &quot;u&quot; parameter of &quot;%s&quot;. This error may be caused by changing your phpBB password, or due to an upgrade in this phpBB Smartfeed software. To solve this problem, create a new phpBB Smartfeed URL at %s, then copy and paste the generated URL into your newsreader application.',
		'SMARTFEED_BAD_PMS_VALUE'							=> 'If present, the pms parameter (for private messages) must have a value of 1',
		'SMARTFEED_BOARD_DISABLED'							=> 'This board is currently offline. Consequently, the newsfeed functionality has been disabled. When the board goes back online, you will be able to retrieve newsfeeds again.',
		'SMARTFEED_COUNT_LIMIT_ERROR'						=> 'The count_limit parameter must be greater than 0.',
		'SMARTFEED_COUNT_LIMIT_FORMAT_ERROR'				=> 'The count_limit parameter must be a number',
		'SMARTFEED_COUNT_LIMIT_MAX_ERROR'					=> 'The count_limit parameter must be less than or equal to %s.',
		'SMARTFEED_F_READ_ERROR'							=> 'Forum read privilege (f_read) not declared in the acl_options table. This table is likely inconsistent or corrupted.',
		'SMARTFEED_FEED_TYPE_ERROR'							=> 'phpBB Smartfeed does not accept the feed_type parameter value given or the feed_type parameter is absent.',
		'SMARTFEED_FILTER_FOES_ERROR'						=> 'The filter_foes parameter is invalid. If present it should only have a value of 1.',
		'SMARTFEED_FIRST_POST_ONLY_ERROR'					=> 'The firstpostonly parameter is invalid. If present it should only have a value of 1.',
		'SMARTFEED_IP_AUTH_ERROR'							=> 'The IP of the client making the Smartfeed request is not authorized to access the feed because it did not pass the proper credential. Run smartfeed_url.%s manually and then reprogram your newsreader to use the newly generated URL.', 
		'SMARTFEED_LASTVISIT_ERROR'							=> 'The lastvisit parameter specified is invalid. If present it must have a value of 1 only.',
		'SMARTFEED_LIMIT_FORMAT_ERROR'						=> 'limit parameter is either not present or is not an allowed value.',
		'SMARTFEED_MAX_WORD_SIZE_ERROR'						=> 'The max_word_size parameter is invalid. If used it must be a positive whole number.',
		'SMARTFEED_MIN_WORD_SIZE_ERROR'						=> 'The min_word_size parameter is invalid. It should be a positive whole number or left blank.',
		'SMARTFEED_NO_ACCESSIBLE_FORUMS'					=> 'You have no permission to access any forums on this site. If you are registered on this site, you may need the administrator to give you privileges to read forums.',
		'SMARTFEED_NO_ARGUMENTS'							=> 'This program requires arguments. Either no arguments were used or the web server is not configured to pass arguments. Use smartfeed_url.%s to generate a set of arguments to be used with this program.',
		'SMARTFEED_NO_BOOKMARKS'							=> 'You have no bookmarked topics but you requested to show bookmarked topics only. Consequently, there are no posts in the feed. If you wish to use bookmarks with phpBB Smartfeed, please visit the forum and bookmark one or more topics.',
		'SMARTFEED_NO_E_ARGUMENT'							=> 'To authenticate a member, the &quot;e&quot; parameter must be used with the &quot;u&quot; parameter. The &quot;u&quot; parameter is present but the &quot;e&quot; parameter is not. Please rerun smartfeed_url.%s to generate a correct feed URL.',
		'SMARTFEED_NO_FORUMS_ACCESSIBLE' 					=> 'Sorry, due to Smartfeed forum exclusions and your forum access, you cannot access any forums',
		'SMARTFEED_NO_U_ARGUMENT'							=> 'To authenticate a member, the &quot;u&quot; parameter must be used with the &quot;e&quot; parameter. The &quot;e&quot; parameter is present but the &quot;u&quot; parameter is not. Please rerun smartfeed_url.%s to generate a correct feed URL.',
		'SMARTFEED_REMOVE_MINE_ERROR'						=> 'The removemine parameter value is invalid. If present it should only have a value of 1.',
		'SMARTFEED_SORT_BY_ERROR'							=> 'phpBB Smartfeed cannot accept the sort_by requested or the sort_by parameter is absent.',
		'SMARTFEED_STYLE_ERROR'								=> 'The style parameter is not one of the allowed values, or is absent.',
		'SMARTFEED_USER_ID_DOES_NOT_EXIST'					=> 'User ID identified by &quot;u&quot; parameter does not exist or is not allowed to access a feed. If you want a feed, please make sure you are logged out and run smartfeed_url.%s again. You will only be able to select from public forums.'),
	'SMARTFEED_ERROR_INTRODUCTION'			=> 'An error occurred running phpBB Smartfeed. As a result, no content can be returned. Use this error information as a guide to correcting the problem. Please note that you must use <a href="%s">this program</a> to create a URL that can be used with phpBB Smartfeed. The error is: ',
	'SMARTFEED_ERROR_TITLE'					=> 'An error occurred running phpBB Smartfeed',
	'SMARTFEED_GLOBAL_ANNOUNCEMENT'			=> 'GLOBAL ANNOUNCEMENT',
	'SMARTFEED_MAX_WORDS_NOTIFIER'			=> ' ...',
	'SMARTFEED_NEW_PMS_NOTIFICATIONS_ONLY'	=> 'You have new private messages on the forum. Please log in to the forum to read them.',
	'SMARTFEED_NEW_PMS_NOTIFICATIONS_SHORT'	=> 'You have new private messages',
	'SMARTFEED_NEW_POST_NOTIFICATIONS_ONLY'	=> 'There are new posts in this topic. Please log in to the forum to read them.',
	'SMARTFEED_POST_SIGNATURE_DELIMITER'	=> '<br />____________________<br />', // Place here whatever code (make sure it is valid XHTML) you want to use to distinguish the end of a post from the beginning of the signature line
	'SMARTFEED_REPLY'						=> 'Reply',
	'SMARTFEED_REPLY_BY'					=> 'Reply by',

	// smartfeed_url.php language strings
	'SMARTFEED_ADDITIONAL_CRITERIA'			=> 'Additional criteria',
	'SMARTFEED_AJAX_ERROR'					=> 'An error occurred generating an AJAX request',
	'SMARTFEED_ALL_FORUMS'					=> 'All',
	'SMARTFEED_ATOM_10'						=> 'Atom 1.0',
	'SMARTFEED_CHANGE_ENCRYPTION_KEY_CHECK'	=> 'This will immediately invalidate your current Smartfeed encryption key. Continue?',
	'SMARTFEED_COUNT_LIMIT'					=> 'Maximum number of posts in the feed',
	'SMARTFEED_COUNT_LIMIT_EXPLAIN'			=> 'The maximum allowed by the board\'s administrator is %s. You may set this value to any number less than or equal to the board limit, but greater than zero.',
	'SMARTFEED_COUNT_LIMIT_EXPLAIN_BLANK'	=> 'If you leave this blank, any number of items can be in the feed.',
	'SMARTFEED_EXPLANATION'					=> 'Many people are discovering the convenience of syndicated newsfeeds. With newsfeeds, you do not have to visit the site to read its content. This interface allows you to create your own personalized newsfeed very easily and see relevant posts from your news reader. Authentication is supported for registered members, allowing you to view posts in forums that others may not be able to read.',
	'SMARTFEED_FEED_STYLING'				=> 'Newsfeed styling',
	'SMARTFEED_FEED_STYLING_EXPLAIN'		=> 'Please note that the amount of feed styling actually applied depends on the capabilities of your newsreader. Most newsreaders will not apply all HTML styles. Place your cursor over the style text to learn more.',
	'SMARTFEED_FEED_TYPE'					=> 'Newsfeed format',
	'SMARTFEED_FILTER_CRITERIA'				=> 'Post filters',
	'SMARTFEED_FILTER_FOES'					=> 'Remove posts from my foes',
	'SMARTFEED_FIRST_POST_ONLY'				=> 'Types of posts in feed',
	'SMARTFEED_FORMAT_AND_ACCESS'			=> 'Format &amp; access control',
	'SMARTFEED_FORUM_SELECTION'				=> 'Forum selection',
	'SMARTFEED_GENERATE_BUTTON'				=> 'Generate the URL',
	'SMARTFEED_GENERATE_BUTTON_EXPLAIN'		=> 'To copy it, click on the URL. All text will be automatically selected. Then copy and paste it in your news reader.',
	'SMARTFEED_GENERATE_URL_TEXT'			=> 'Generate',
	'SMARTFEED_INSTALL_MOD_CONFIRM'			=> 'I wish to install phpBB Smartfeed',
	'SMARTFEED_INVALID_SESSION_KEY'			=> 'sid argument value of %s is not valid for user_id = %s when calling smartfeed_url_new_key.%s. Session may have expired.',
	'SMARTFEED_IP_AUTH'						=> 'IP Authentication',
	'SMARTFEED_IP_AUTHENTICATION_EXPLAIN'	=> 'Your current IP is %s. If you say yes, the URL generated will make the feed work only in the address range you specify. If you are using a proxy to read feeds and know its IP, you can enter its mask here. You can only mask the last two parts of the IP address. The last part is always masked. Use a * to mask a field. For example, %s is allowed. Turn on IP Authentication to allow editing of the IP fields.',
	'SMARTFEED_IP_RANGE_SET'				=> 'Set IP authentication for this range',
	'SMARTFEED_LAST_1_HOURS'				=> 'In Last Hour',
	'SMARTFEED_LAST_12_HOURS'				=> 'In Last 12 Hours',
	'SMARTFEED_LAST_15_MINUTES'				=> 'In Last 15 Minutes',
	'SMARTFEED_LAST_3_HOURS'				=> 'In Last 3 Hours',
	'SMARTFEED_LAST_30_MINUTES'				=> 'In Last 30 Minutes',
	'SMARTFEED_LAST_6_HOURS'				=> 'In Last 6 Hours',
	'SMARTFEED_LAST_DAY'					=> 'In Last 24 Hours',
	'SMARTFEED_LAST_MONTH'					=> 'In Last 30 Days',
	'SMARTFEED_LAST_QUARTER'				=> 'In Last 90 Days',
	'SMARTFEED_LAST_TWO_WEEKS'				=> 'In Last 14 Days',
	'SMARTFEED_LAST_WEEK'					=> 'In Last 7 Days',
	'SMARTFEED_LASTVISIT_RESET'				=> 'Reset my last visit date on news feed access',
	'SMARTFEED_LDAP_WARNING'				=> '<b>Please note: Only public forums can be selected due to the authentication method used by this board.</b>',
	'SMARTFEED_LIMIT'						=> 'Time limit',
	'SMARTFEED_LIMIT_EXPLAIN'				=> 'Include posts over this time range to the present.',
	'SMARTFEED_LIMIT_SET_EXPLAIN'			=> 'Irrespective of the time periods shown, this board has a set limit of %s days beyond which no posts can be retrieved. This is necessary to ensure that fetching feeds does not slow down overall access to this forum.',
	'SMARTFEED_MARK_READ'					=> 'Mark as read when they appear in the feed',
	'SMARTFEED_MAX_SIZE'					=> 'Maximum words to display in a post',
	'SMARTFEED_MAX_SIZE_EXPLAIN'			=> 'If left blank, a post can be of any size in the feed. You may set this value to any number less than or equal to the board limit, but greater than zero. Notice: To ensure consistent rendering, if a post must be truncated, the HTML will be removed from the post. The maximum allowed by the board\'s administrator is %s.',
	'SMARTFEED_MAX_SIZE_EXPLAIN_BLANK'		=> 'Notice: To ensure consistent rendering, if a post must be truncated, the HTML will be removed from the post.',
	'SMARTFEED_MIN_SIZE'					=> 'Minimum words required in post for the post to appear in feed',
	'SMARTFEED_NEW_KEY'						=> 'Generate a new phpBB Smartfeed key',
	'SMARTFEED_NEW_KEY_EXPLAIN'				=> 'If you are concerned that the security to your feed has been compromised, you may want to create a new phpBB Smartfeed encryption key. If you change your key, you will have to reprogram your newsreaders to use the new generated URL. Caution: if you select the checkbox your old key will be invalidated immediately.',
	'SMARTFEED_NO_AJAX_SUPPORT'				=> 'A new key cannot be generated because this browser does not support AJAX',
	'SMARTFEED_NO_FORUMS_AVAILABLE' 		=> 'Sorry, due to your user status you cannot access any forums',
	'SMARTFEED_NO_FORUMS_SELECTED'			=> 'You have not selected any forums, so no URL can be generated. Please select at least one forum.',
	'SMARTFEED_NO_LIMIT'					=> 'None',
	'SMARTFEED_NO_SESSION_KEY'				=> 'No sid argument was passed when calling smartfeed_url_new_key.%s. There should normally be a sid parameter on the URL field. If there is not one, click on the Smartfeed link and try again.',
	'SMARTFEED_NO_U_ARGUMENT'				=> 'No u argument was passed when calling smartfeed_url_new_key.%s',
	'SMARTFEED_NOT_LOGGED_IN'				=> '<b>Because you are not logged in or your member status does not allow it, you can only subscribe to the list of public forums shown below. Please <a href="ucp.%s?mode=login" class="postlink">log in</a> or <a href="ucp.%s?mode=register" class="postlink">register</a> if you want to also subscribe to nonpublic forums.</b>',
	'SMARTFEED_PHPBB_SMARTFEED'				=> 'phpBB Smartfeed',	// Do not change, this is the marketed title of the mod and is language independent
	'SMARTFEED_POST_IMAGE_TEXT'				=> '<br />(Click on the image to see it full size.)',
	'SMARTFEED_POSTS_TYPE_ANY'				=> 'All posts',
	'SMARTFEED_POSTS_TYPE_FIRST'			=> 'First posts of topics only',
	'SMARTFEED_PRIVATE_MESSAGES_IN_FEED'	=> 'Add my unread private messages',
	'SMARTFEED_REFRESH_PAGE'				=> 'The page must be refreshed to retrieve the new key',
	'SMARTFEED_REMOVE_YOURS'				=> 'Remove my posts',
	'SMARTFEED_RESET_IP'					=> 'Reset my IP',
	'SMARTFEED_RSS_10'						=> 'RSS 1.0',
	'SMARTFEED_RSS_20'						=> 'RSS 2.0',
	'SMARTFEED_RUN_IT_NOW'					=> 'Test',
	'SMARTFEED_SELECT_FORUMS'				=> 'Include posts for these forums',
	'SMARTFEED_SELECT_FORUMS_EXPLAIN'		=> 'Please note the categories and forums shown are for those you are allowed to read only. Forum selection is disabled when you select bookmarked topics only.<br /><br />Bolded forum names, if any, are forums that the administrator requires to be presented in any newsfeed. You cannot unselect these forums. Forum names that have strikethrough text are disallowed by the administrator for presentation in a newsfeed and are thus unselected.',
	'SMARTFEED_SHORT_EXPLAIN'				=> 'Access this forum as a newsfeed',
	'SMARTFEED_SINCE_LAST_VISIT_TEXT'		=> 'Since My Last Visit',
	'SMARTFEED_SIZE_ERROR'					=> 'This field is a required field. You must enter a positive whole number, less than or equal to ',
	'SMARTFEED_SIZE_ERROR_MIN'				=> 'You must enter a positive value or leave the field blank',
	'SMARTFEED_SORT_BY'						=> 'Post sort order',
	'SMARTFEED_SORT_BY_EXPLAIN'				=> 'Traditional Order is the default order used by phpBB 2, which is category order, forum order, last topic post time (descending) and post time.',
	'SMARTFEED_SORT_FORUM_TOPIC'			=> 'Traditional Order',
	'SMARTFEED_SORT_FORUM_TOPIC_DESC'		=> 'Traditional Order, Latest Posts First',
	'SMARTFEED_SORT_POST_DATE'				=> 'From oldest to newest',
	'SMARTFEED_SORT_POST_DATE_DESC'			=> 'From newest to oldest',
	'SMARTFEED_SORT_USER_ORDER'				=> 'Use my board display preferences',
	'SMARTFEED_STAR_MESSAGE'				=> ' or *',
	'SMARTFEED_STYLE_BASIC'					=> 'Basic',
	'SMARTFEED_STYLE_BASIC_EXPLAIN'			=> 'Basic will remove formatting and BBCode but will apply signatures if allowed.',
	'SMARTFEED_STYLE_COMPACT'				=> 'Compact',
	'SMARTFEED_STYLE_COMPACT_EXPLAIN'		=> 'Compact will remove formatting, BBCode, signatures and collapse paragraphs.',
	'SMARTFEED_STYLE_HTML'					=> 'HTML',
	'SMARTFEED_STYLE_HTML_EXPLAIN'			=> 'HTML will provide formatting, BBCode and signatures (if allowed). Posts will look similar to how they appear in the forum. HTML feeds may not validate.',
	'SMARTFEED_STYLE_HTML_SAFE'				=> '<a href="http://validator.w3.org/feed/docs/warning/SecurityRiskAttr.html" class="postlink" onclick="window.open(this.href);return false;">Safe HTML</a>',
	'SMARTFEED_STYLE_HTML_SAFE_EXPLAIN'		=> 'Safe HTML will strip tags considered unsafe for newsreaders, according to the W3C.',
	'SMARTFEED_TEST_BUTTON'					=> 'Test the feed',
	'SMARTFEED_TEST_BUTTON_EXPLAIN'			=> 'Run the URL in a new page of your browser. The newsfeed may look better in a newsreader.',
	'SMARTFEED_TITLE' 						=> 'phpBB Smartfeed', 
	'SMARTFEED_TITLE_SHORT' 				=> 'Smartfeed', 
	'SMARTFEED_URL'							=> 'Generate &amp; test',
	'SMARTFEED_URL_EXPLAIN'					=> 'After a URL is generated, enter it into your newsreader to access this site.',
	'SMARTFEED_USE_BOOKMARKS'				=> 'Bookmarked topics only',
));

$smartfeed_sort_by_values = array(
	'BOARD'			=> 'user',
	'POSTDATE_DESC'	=> 'postdate_desc',
	'POSTDATE'		=> 'postdate',
	'STANDARD_DESC'	=> 'standard_desc',
	'STANDARD'		=> 'standard',
);

$smartfeed_feed_style_values = array(
	'COMPACT'	=> 'COMPACT',
	'BASIC'		=> 'BASIC',
	'HTML'		=> 'HTML',
	'HTMLSAFE'	=> 'HTMLSAFE',
);

?>