<?php
/**
*
* @author MarkDHamill (Mark D Hamill) mark@phpbbservices.com
* @package umil
* @version $Id umil_smartfeed_install.php 2.2.26 2012-03-24 00:00:00GMT MarkDHamill $
* @copyright (c) 2010 Mark D Hamill
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/smartfeed');

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

/*
* The name of the config variable which will hold the currently installed version
* You do not need to set this yourself, UMIL will handle setting and updating the version itself.
*/
$version_config_name = 'sf_version';
// These config variables are needed here temporarily solely to not trigger PHP Notices! They are formally set later on.
$config['sf_public_feed_url_suffix_atom'] = 'feed_type=ATOM1.0&amp;limit=%s&amp;sort_by=%s&amp;feed_style=%s';
$config['sf_public_feed_url_suffix_rss'] = 'feed_type=RSS2.0&amp;limit=%s&amp;sort_by=%s&amp;feed_style=%s';

$language_file = 'mods/smartfeed';

// The name of the mod to be displayed during installation.
$mod_name = $user->lang['SMARTFEED_PHPBB_SMARTFEED'];

/*
* The language file which will be included when installing
* Language entries that should exist in the language file for UMIL (replace $mod_name with the mod's name you set to $mod_name above)
* $mod_name
* 'INSTALL_' . $mod_name
* 'INSTALL_' . $mod_name . '_CONFIRM'
* 'UPDATE_' . $mod_name
* 'UPDATE_' . $mod_name . '_CONFIRM'
* 'UNINSTALL_' . $mod_name
* 'UNINSTALL_' . $mod_name . '_CONFIRM'
*/

/*
* Options to display to the user (this is purely optional, if you do not need the options you do not have to set up this variable at all)
* Uses the acp_board style of outputting information, with some extras (such as the 'default' and 'select_user' options)
*/
/*$options = array(
	'test_username'	=> array('lang' => 'TEST_USERNAME', 'type' => 'text:40:255', 'explain' => true, 'default' => $user->data['username'], 'select_user' => true),
	'test_boolean'	=> array('lang' => 'TEST_BOOLEAN', 'type' => 'radio:yes_no', 'default' => true),
);*/

/*
* Optionally we may specify our own logo image to show in the upper corner instead of the default logo.
* $phpbb_root_path will get prepended to the path specified
* Image height should be 50px to prevent cut-off or stretching.
*/
//$logo_img = 'styles/prosilver/imageset/site_logo.gif';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/

// This query is needed to create a digest bot. Code modified from /includes/acp/acp_bots.php

$versions = array(

	// Version 2.2.17
	'2.2.17' => array(
					 
		// Add Digest configuration variables
		'config_add' => array(

			array('sf_all_by_default', '1'),
			array('sf_apache_htaccess_enabled', '0'),
			array('sf_atom_10_value', 'ATOM1.0'),
			array('sf_auto_advertise_public_feed', '1'),
			array('sf_default_fetch_time_limit', (30 * 24)),
			array('sf_exclude_forums', ''),
			array('sf_feed_image_path', 'imageset/site_logo.gif'),
			array('sf_include_forums', ''),
			array('sf_max_items', '0'),
			array('sf_max_size', '0'),
			array('sf_new_post_notifications_only', '0'),
			array('sf_privacy_mode', '1'),
			array('sf_public_feed_url_suffix_atom', 'feed_type=ATOM1.0&amp;limit=%s&amp;sort_by=%s&amp;feed_style=%s&amp'),
			array('sf_public_feed_url_suffix_rss', 'feed_type=RSS2.0&amp;limit=%s&amp;sort_by=%s&amp;feed_style=%s&amp'),
			array('sf_require_ip_authentication', '0'),
			array('sf_rfc1766_lang', 'en-GB'),
			array('sf_rss_10_value', 'RSS1.0'),
			array('sf_rss_20_value', 'RSS2.0'),
			array('sf_show_sessions', '0'),
			array('sf_show_username_in_first_topic_post', '1'),
			array('sf_show_username_in_replies', '1'),
			array('sf_smartfeed_host', 'phpbbservices.com'),
			array('sf_smartfeed_page_url', 'http://phpbbservices.com/smartfeed/'),
			array('sf_smartfeed_title', $user->lang['SMARTFEED_TITLE']),
			array('sf_smartfeed_title_short', $user->lang['SMARTFEED_TITLE_SHORT']),
			array('sf_suppress_forum_names', '0'),
			array('sf_ttl', '60'),
			array('sf_webmaster',''),

		),

		// Extend the phpbb_users_table with an additional column
		'table_column_add' => array(
			array(USERS_TABLE, 'user_smartfeed_key', array('VCHAR:32', ''))
		),
		
		// Add the Smartfeed Settings under the Board Configuration category in the ACP.
		'module_add' => array(
			array('acp', 'ACP_BOARD_CONFIGURATION', array(
					'module_basename'   => 'board',
					'module_langname'   => 'ACP_SMARTFEED_SETTINGS',
					'module_mode'       => 'smartfeed',
					'module_auth'       => 'acl_a_board',
				),
			),
		),
		
    ),

	// Version 2.2.18
	'2.2.18' => array(
					 
		// Remove the Smartfeed Settings under the Board Configuration category in the ACP for version 2.2.17. 
		// In 2.2.18 this becomes 3 modules under its own category.
		'module_remove' => array(
			array('acp', 'ACP_BOARD_CONFIGURATION', 'ACP_SMARTFEED_SETTINGS'),
		),
		
		// Add Digest ACP and UCP modules
		'module_add' => array(
							  
			// Add the ACP Smartfeed Settings Category, placed under the General Tab
			array('acp', 'ACP_CAT_GENERAL', 'ACP_CAT_SMARTFEED'),
			
			// Add the ACP Primary Performance Throttle Settings, Security Setting and 
			// Additional Settings and Options to the Smartfeed Settings category in the ACP.
			array('acp', 'ACP_CAT_SMARTFEED', array(
					'module_basename'   => 'board',
					'module_langname'   => 'ACP_SMARTFEED_PRIMARY_PERFORMANCE_THROTTLES',
					'module_mode'       => 'smartfeed_performance',
					'module_auth'       => 'acl_a_board',
				),
			),
			array('acp', 'ACP_CAT_SMARTFEED', array(
					'module_basename'   => 'board',
					'module_langname'   => 'ACP_SMARTFEED_SECURITY_SETTINGS',
					'module_mode'       => 'smartfeed_security',
					'module_auth'       => 'acl_a_board',
				),
			),
			array('acp', 'ACP_CAT_SMARTFEED', array(
					'module_basename'   => 'board',
					'module_langname'   => 'ACP_SMARTFEED_ADDITIONAL_SETTINGS',
					'module_mode'       => 'smartfeed_additional',
					'module_auth'       => 'acl_a_board',
				),
			),
			
		),
		
    ),
	
	'2.2.19' => array(
		
    ),
	
	'2.2.20' => array(
		
    ),
	
	'2.2.21' => array(
		'config_remove' => array(
			'sf_smartfeed_title',
			'sf_smartfeed_title_short',
		),
		
    ),
	
	'2.2.22' => array(
		
    ),
	
	'2.2.23' => array(
		
		'config_remove' => array(
			array('sf_public_feed_url_suffix_atom'),
			array('sf_public_feed_url_suffix_rss'),
		),
		
		'config_add' => array(
			array('sf_public_feed_url_suffix_atom', 'feed_type=ATOM1.0&amp;limit=%s&amp;sort_by=%s&amp;feed_style=%s'),
			array('sf_public_feed_url_suffix_rss', 'feed_type=RSS2.0&amp;limit=%s&amp;sort_by=%s&amp;feed_style=%s'),
		),
    ),
	
	'2.2.24' => array(
		
    ),
	
	'2.2.25' => array(
		
    ),
	
	'2.2.26' => array(
		
		'config_add' => array(
			array('sf_external_feeds', ''),
			array('sf_external_feeds_prefix', 'External item'),
			array('sf_external_feeds_top', '0'),
		),
		
	),
		
 	'2.2.27' => array(
	
		// Change Digest home page URL and add fields for mass subscribe/unsubscribe screen
		'config_remove' => array('sf_smartfeed_page_url'),
		
		'config_add' => array(
			array('sf_smartfeed_page_url', 'https://phpbbservices.com/smartfeed_wp/'),
		),
			
		// Extend the phpbb_users_table with an additional column
		'table_column_add' => array(USERS_TABLE, 'user_smartfeed_key', array('VCHAR:32', '')),
	),
	
);

// Clear the cache and templates
$cache_purge = array('', 'template');      

// Include the UMIL Auto file and everything else will be handled automatically.
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>